using System;
using Server.Network; 

namespace Server.Items 
{ 

   [FlipableAttribute( 0x18E9, 0x18EA )] 
   public class Rose : BaseDecorationArtifact 
   { 
      public override int ArtifactRarity{ get{ return 3; } }
      [Constructable] 
      public Rose() : base( 0x18E9 ) 
      { 
         Movable = false;
         Name = "a rose";
      } 

      public Rose( Serial serial ) : base( serial ) 
      { 
      } 

      public override void Serialize( GenericWriter writer ) 
      {
         base.Serialize( writer ); 

         writer.Write( (int) 0 ); // version 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize( reader ); 

         int version = reader.ReadInt(); 
      } 
   } 
    
} 
